package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;
import java.util.List;

public class MenuDeleteByDateAndIntervalDTO {
   @ApiModelProperty("菜谱id")
   private @NotNull(
   message = "{menu_recipe_id_null}"
) Long recipeId;
   @ApiModelProperty("发布日期")
   private @NotNull(
   message = "{menu_apply_date_null}"
) LocalDate applyDate;
   @ApiModelProperty("餐次类型")
   private @NotNull(
   message = "{menu_mealtime_type_null}"
) Integer mealtimeType;
   @ApiModelProperty("菜品id")
   private @NotNull(
   message = "{menu_dishes_id_null}"
) List<Long> dishesIds;

   public Long getRecipeId() {
      return this.recipeId;
   }

   public LocalDate getApplyDate() {
      return this.applyDate;
   }

   public Integer getMealtimeType() {
      return this.mealtimeType;
   }

   public List<Long> getDishesIds() {
      return this.dishesIds;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setApplyDate(final LocalDate applyDate) {
      this.applyDate = applyDate;
   }

   public void setMealtimeType(final Integer mealtimeType) {
      this.mealtimeType = mealtimeType;
   }

   public void setDishesIds(final List<Long> dishesIds) {
      this.dishesIds = dishesIds;
   }

}
